<?php

use yii\db\Migration;

/**
 * Class m180507_131039_alter_tables_slide
 */
class m180507_131039_alter_tables_slide extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('slide', 'background_id', $this->integer());
        $this->addColumn('slide_lang', 'description', $this->text());
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
       $this->dropColumn('slide', 'background_id');
       $this->dropColumn('slide_lang', 'description');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m180507_131039_alter_tables_slide cannot be reverted.\n";

        return false;
    }
    */
}
